﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Threading;

namespace MySocket.Demo.Client
{
    class Program
    {
        static void Main(string[] args)
        {
            while (true)
            {
                try
                {
                    var socket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                    socket.SetSocketOption(SocketOptionLevel.Socket, SocketOptionName.ReuseAddress, true);
                    socket.Connect("127.0.0.1", 8888);
                    socket.Send(Encoding.UTF8.GetBytes("hallo"));
                    Console.WriteLine("{0} 发送：hallo", DateTime.Now.ToString("HH:mm:ss fff"));
                    socket.Close();
                }
                catch (Exception er)
                {
                    Console.WriteLine(er.Message);
                    Thread.Sleep(2000);
                }
            }
        }
    }
}
