﻿using System;
using System.Diagnostics;
using System.Net;
using System.Net.Sockets;

namespace MySocket.Demo.Host
{
    class Program
    {
        private static Socket _serverSocket;
        static void Main(string[] args)
        {
            _serverSocket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
            _serverSocket.SetSocketOption(SocketOptionLevel.Socket, SocketOptionName.ReuseAddress, true);
            _serverSocket.Bind(new IPEndPoint(IPAddress.Any, 8888));
            _serverSocket.Listen(1000);
            for (var i = 0; i < 5; i++)
            {
                var application = AppDomain.CurrentDomain.SetupInformation.ApplicationBase + "MySocket.Demo.Server.exe";
                var dir = AppDomain.CurrentDomain.SetupInformation.ApplicationBase;
                var psi = new ProcessStartInfo(application, _serverSocket.Handle + " " + i)
                {
                    UseShellExecute = false,
                    WorkingDirectory = dir
                };
                Process.Start(psi);
            }
            Console.ReadKey(true);
        }
    }
}
